using VeterinaryContracts.BindingModels;
using VeterinaryContracts.SearchModels;
using VeterinaryContracts.ViewModels;

namespace VeterinaryContracts.BusinessLogicContracts
{
	public interface IPurchaseLogic
	{
		List<PurchaseViewModel>? ReadList(PurchaseSearchModel? model);
		PurchaseViewModel? ReadElement(PurchaseSearchModel model);
		bool CreatePurchase(PurchaseBindingModel model);
	}
}
